function init(hero) {
    
    hero.setName("Wing");

    hero.setTier(2);
    
    hero.setChestplate(" ");
   
    hero.addPowers("shadows:wings");

    hero.addAttribute("FALL_RESISTANCE", 1, 1);
    hero.addAttribute("JUMP_HEIGHT", 2, 0);
    hero.addAttribute("PUNCH_DAMAGE", 5, 0);
    hero.addAttribute("SPRINT_SPEED", 1, 1);
    hero.addAttribute("STEP_HEIGHT", 1, 0);
    hero.addAttribute("IMPACT_DAMAGE", 2, 1);

    
    hero.addKeyBind("WINGS", "Wings", 1);
    hero.addKeyBind("SHIELD", "Shield", 2);


    hero.setModifierEnabled(isModifierEnabled);

    hero.setKeyBindEnabled(isKeyBindEnabled);


    hero.setHasProperty(hasProperty);
	
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:gliding":
        return entity.getData("fiskheroes:dyn/steeled") && entity.isSprinting() || entity.getData("fiskheroes:gliding") && entity.getData("fiskheroes:dyn/steeled");
    case "fiskheroes:shield":
        return !entity.getData("fiskheroes:gliding")
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "SHIELD":
        return !entity.getData("fiskheroes:gliding");
    default:
        return true;
    }
}

function hasProperty(entity, property) {
    return property == "MASK_TOGGLE";
}
